# 详细配置文档:
# https://angela.misstea2.live/fundamentals/settings-yaml

# 主页 (/home) 的图片 URL
homeImage: https://angela.misstea2.live/assets/thumbnail.avif

# 阈值设定
thresholds:
  # 已使用流量超过此百分比时，提示用户补充流量
  suggestSupplementTraffic: 0.9
  # 剩余天数少于此值时，提示用户续费
  suggestRenewSubscription: 3

# 原生 App 设置
#   platform: 平台，可选值为 Windows、MacOS、Linux、Android、iOS
#   link: 下载链接
#   icon: Material Symbols 图标名称 (如 laptop_mac) 或者内置图标中的一个 (iWindows, iLinux, iAndroid, iApple)
#     Material Symbols: https://fonts.google.com/icons
# 删除或注释掉这段配置以禁用原生 App 相关组件
nativeApps:
  - platform: Windows
    link: https://example.com/windows
    icon: iWindows
  - platform: MacOS
    link: https://example.com/macos
    icon: laptop_mac
  - platform: Linux
    link: https://example.com/linux
    icon: iLinux
  - platform: Android
    link: https://example.com/android
    icon: iAndroid
  - platform: iOS
    link: https://example.com/ios
    icon: iApple

# 原生 App 帮助按钮设置
# 删除或注释掉这段配置以禁用原生 App 帮助按钮
nativeAppHelp:
  # 按钮文本
  text: 如何使用原生客户端？
  # 按钮链接（须是 Angela 内部链接）
  link: /manuals

# 工单等级显示文本，只能且必须包含三个项目
ticketLevels:
  - 低优先级
  - 中优先级
  - 高优先级

# Telegram 相关设置
#   支持的变量：
#   {brand} - 品牌名称
telegram:
  # Telegram 群组组件
  group:
    # 介绍文本
    text: |-
      加入我们在 Telegram 的讨论组吧！
      向我们和其他用户寻求帮助，或是先人一步获取「{brand}」的最新动态与优惠活动！
    # 窄屏下的介绍文本
    textBrief: |-
      获取「{brand}」的最新动态与优惠活动
  # Telegram Bot 组件
  bot:
    # 介绍文本
    text: |-
      经常活跃于 Telegram 吗？
      绑定账号到我们的 Telegram Bot，接受实时通知，享受更多便捷服务！
    # 窄屏下的介绍文本
    textBrief: |-
      接受实时通知，享受更多便捷服务

# 额外页面设置
#   name: 页面名称
#   path: 页面在 Angela 内部的路径，注意避免与内置页面冲突，可以有多个片段。示例：about, externals/about
#   icon: Material Symbols 图标名称
#   url: 页面内容的 URL，可以是外部链接
# 删除或注释掉这段配置以禁用额外页面
externalPages:
  - name: 额外页面
    path: external
    icon: info
    url: https://angela.misstea2.live/
  - name: 额外页面2
    path: external2
    icon: info
    url: https://angela.misstea2.live/

# 代理客户端设置（一键导入）
#   name: 客户端名称
#   scheme: 客户端 URL Scheme
#     支持的变量：
#       {url} - 订阅 URL
#       {url:component} - URI Component 编码后的订阅 URL
#       {url:base64} - Base64 编码后的订阅 URL
#       {name} - 品牌名
#       {name:component} - URI Component 编码后的品牌名
#   platforms: 支持的平台，可选值为 desktop、android、ios
#   icon: (可选) Material Symbols 图标名称，或者内置图标中的一个 (iClash, iSurfboard, iQuantumult, iShadowrocket, iSurge, iHiddify)
proxyClients:
  - name: Clash
    scheme: clash://install-config?url={url:component}
    platforms: [desktop, android]
    icon: iClash
  - name: Surfboard
    scheme: surfboard:///install-config?url={url:component}
    platforms: [android]
    icon: iSurfboard
  - name: Quantumult
    scheme: quantumult://configuration?server={url:component}
    platforms: [ios]
    icon: iQuantumult
  - name: Quantumult X
    scheme: quantumult-x:///update-configuration?remote-resource=%7B%22server_remote%22%3A%5B%22{url:component}%2C%20tag%3D{name:component}%22%5D%7D
    platforms: [ios]
    icon: iQuantumult
  - name: Shadowrocket
    scheme: shadowrocket://add/sub://{url:base64}?remarks={name:component}
    platforms: [ios]
    icon: iShadowrocket
  - name: Stash
    scheme: stash://install-config?url={url:component}&name={name:component}
    platforms: [ios]
  - name: Surge
    scheme: surge:///install-config?url={url:component}
    platforms: [desktop, ios]
    icon: iSurge
  - name: Hiddify
    scheme: hiddify://import/{url}#{name:component}
    platforms: [desktop, ios, android]
    icon: iHiddify
  - name: Streisand
    scheme: streisand://import/{url}#{name:component}
    platforms: [ios]
  - name: Sing Box
    scheme: sing-box://import-remote-profile?url={url:component}#{name:component}
    platforms: [desktop, ios, android]

# 用户头像加载设置
#   match: 用于匹配邮箱的正则表达式
#   source: 头像 URL
#     支持的变量：
#     {email} - 用户邮箱
#     {email:hash} - 用户邮箱的 SHA256 哈希值
userAvatarSources:
  - match: .*@qq.com
    source: https://thirdqq.qlogo.cn/headimg_dl?dst_uin={email}&spec=100
  - match: .*
    source: https://cdn.v2ex.com/gravatar/{email:hash}?d=identicon&size=96

# 浏览器黑名单设置
#   name: 浏览器名称
#   match: 用于匹配浏览器 UA 的正则表达式
#   message: 提示信息
#     支持的变量：
#     {name} - 浏览器名称
uaBlacklist:
  - name: 微信浏览器
    match: [MicroMessenger]
    message: 使用{name}可能导致各种体验问题，建议使用其他浏览器打开
  - name: 微信企业版浏览器
    match: [WxWork]
    message: 使用{name}可能导致各种体验问题，建议使用其他浏览器打开
  - name: QQ 浏览器
    match: [MQQBrowser]
    message: 使用{name}可能导致各种体验问题，建议使用其他浏览器打开

license: |-
  WFdWb3dvbkNuTUt0VkgzQ2tqVTJPMEk4UWs1RlMxQjFWVnhrWUdOdFozRnFkWHAz
  d3FKVWZjS1Nhak5IYVZBdlRUQnBWSEE0WjJwWWIxTjZNR3RIWTNSMlNFSkVjSE40
  YW5SbWVtczFiVTkxTW5CcGNsZDJVM3BoWkhwbmIzVlFkblE1VkdkMWVuSXZaR3hy
  UzBwaVIwc3lUVmgwWld0R01HTlVPWEZEYzBwRFFXZFNUMngyTW5CS1dGcFdLMHhx
  VkRsUkt6WXlVRkU1YWtacGNsaHBZbWx1V0VKblpUZHlkRTFvZVdkV1RXbzVUMDFC
  VlhKS1dEaENMMnBGYTBGVVpWZEdTbU5ETlRGNlZtUnRaVzQxY21FdmJuTk5LMDlp
  WTA5RFZGWkNOV2x5YWxWUGVpdHVlakpqZGxBeldVTjBTMVZzUkhGa00xUlhlbkZK
  YTIxMU56ZDZhMmMyWVdoSVoxZFZUV2d5WVd4cE1rZFpaVFpMWWt4aVJXeHFUVGRZ
  VmtKaGFtMUxWbEJKWjBJd0swaEZXSFpoVGpWNVNUSXJRVVE0TUc4MU4xWndla0ly
  YkZKWVJuQXZOa3h3Uld0V01GUXZSMWxrWXpWbGVrMTJabVl6UTJweVJrcFhVVkpv
  U0M5VVpGTTNkelpoTDBreE4ybHhRelZDUzBkMVFteFJQVDA9
